Page MenuHomePhabricator

Figure out how to deploy phantomjs
Closed, DeclinedPublic

Description

Phantomjs is not packaged for linux and is built from source: http://phantomjs.org/build.html

They are working on a build but it is currently blocked, see: https://github.com/ariya/phantomjs/issues/12948

Event Timeline

Mvolz raised the priority of this task from to Needs Triage.
Mvolz updated the task description. (Show Details)
Mvolz added projects: Citoid, Services.
Mvolz added subscribers: mobrovac, Aklapper, Mvolz.

Phantomjs is actually packaged for 14.01 after all, but it's 1.9. It's 2.0 that has the problem (and I couldn't even get 2.0 to compile from source myself, the first two times it actually caused my computer to shut down and the third time I tried it exited with an error :P)

Note that we plan to move the production services (Citoid and Zotero included) to Debian Jessie soon (cf. T96017: Migrate SCA cluster to SCB (Jessie and Node 4.2))

Mvolz set Security to None.

Declined for not producing any more dependency issues.